Summary:     RSS headline delivery service for the jabber server
Name:        jabber-usersagent
Version:     1.2
Release:     2.pp
License:     JOSL, GPL
Group:       Environment/Daemons
Source0:     http://www.jabberstudio.org/files/users-agent/users-agent-%{version}.tar.gz
Source1:     jabberd-usersagent.init
Patch0:      users-agent-%{version}-config.patch
Patch1:      users-agent-%{version}-fixes.patch
URL:         http://users-agent.jabberstudio.org/
Buildroot:   /var/tmp/%{name}-root
Vendor:      Reatmon <reatmon@jabber.org>
Packager:    Peter Pramberger <peter.pramberger@member.fsf.org>
Requires:    perl
Provides:    %{name}.pp
Prereq:      /bin/bash /sbin/chkconfig /bin/chown /bin/chmod /bin/echo /bin/mkdir
BuildPrereq: /bin/mkdir /usr/bin/make /usr/bin/install perl
BuildArch:   noarch
ExclusiveOS: linux


%description
Jabber is a new, open-source IM platform designed to be
open, fast, and easy to use and extend. It works directly
over the Internet, has distributed servers, utilizes an
XML-based protocol, and has transparent compatibility with
other IM systems (ICQ, AIM, Yahoo, MSN, IRC, SMTP, etc).

This package contains the User directory component.


%prep
%setup -q -n users-agent
%patch0 -p1
%patch1 -p1


%build


# Do not strip, only compress documentation
%define __os_install_post /usr/lib/rpm/brp-compress


%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/etc/rc.d/init.d
mkdir -p $RPM_BUILD_ROOT/etc/jabber
mkdir -p $RPM_BUILD_ROOT/usr/jabber/bin
install -m 0755 users-agent $RPM_BUILD_ROOT/usr/jabber/bin
ln -s users-agent $RPM_BUILD_ROOT/usr/jabber/bin/jabberd-usersagent
install -m 0644 config.xml $RPM_BUILD_ROOT/etc/jabber/usersagent.xml.dist
touch $RPM_BUILD_ROOT/etc/jabber/usersagent.xml; chmod 0640 $RPM_BUILD_ROOT/etc/jabber/usersagent.xml
install -m 0755 %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/jabberd-usersagent


%pre
if [ ! -e /etc/jabber ]; then
  /bin/mkdir /etc/jabber
fi
/bin/chmod 0750 /etc/jabber
/bin/chown root:jabber /etc/jabber


%post
/bin/chown root:jabber /etc/jabber/usersagent.xml
/sbin/chkconfig --add jabberd-usersagent
/sbin/chkconfig jabberd-usersagent on
if [ -s /etc/jabber/usersagent.xml ]; then
  if [ -f /var/lock/subsys/jabberd-usersagent ]; then
    /etc/rc.d/init.d/jabberd-usersagent restart
  else
    /etc/rc.d/init.d/jabberd-usersagent start
  fi
else
  echo "Users agent component installed. Please consult the README for configuration details."
  echo "Don't forget to create a directory named <janchor-hostname> in /var/spool/jabber!"
fi


%preun
if [ $1 = 0 ]; then
  /sbin/chkconfig jabberd-usersagent off
  /sbin/chkconfig --del jabberd-usersagent
  if [ -f /var/lock/subsys/jabberd-usersagent ]; then
    /etc/rc.d/init.d/jabberd-usersagent stop
  fi
fi


%postun
if [ $1 = 0 ]; then
  echo "Users agent component deinstalled. Please remove all references from your jabber config!"
fi


%clean
rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,root)
%doc CHANGES INSTALL README createDB
/etc/rc.d/init.d/*
%config(noreplace) %attr(0640,root,jabber) /etc/jabber/*.xml
/etc/jabber/*.dist
/usr/jabber/bin/*


%changelog
* Fri Jul 22 2005 peter.pramberger@member.fsf.org
- created

